API referencePublished posts

POST /posts/{id}/comments-settings

Turn comments on or off on the published post (Instagram)

POST
/posts/{id}/comments-settings

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Postgale post id

Request Body

application/json
  1. body
enabled*boolean
accountId?string

Only this target

Response Body

{postId, results, enabled}

application/json
  1. response
postId?string
results?array<>
enabled?boolean
Example Request
curl -X POST 'https://example.com/api/v1/posts/string/comments-settings' \  -H 'Content-Type: application/json' \  -d '{  "enabled": true}'
Example Response
{  "postId": "string",  "results": [    {      "accountId": "string",      "platform": "string",      "platformPostId": "string",      "ok": true,      "code": "string",      "error": "string"    }  ],  "enabled": true}